CUBEMAP(1)

NAME
cubemap - scalable video reflector, designed to be used with VLC

SYNOPSIS
cubemap [options] [FILE]

DESCRIPTION
cubemap is a high-performance, high-availability video reflector, specifically made for use with VLC.

•   High-performance, through a design with multiple worker threads, epoll and sendfile (yes, sendfile); a 2GHz quadcore can saturate 10 gigabit Ethernet, given a modern kernel, a modern NIC and the right kernel tuning.

•   High-availability. You can change any part of the configuration (and even upgrade to a newer version of Cubemap) by changing cubemap.config and sending a SIGHUP; all clients will continue as if nothing had happened (unless you delete the stream they are watching, of course). Cubemap also survives the encoder dying and reconnecting.

•   Support for setting max pacing rate through the fq packet scheduler (depends on Linux 3.13 or newer).

•   Reflects anything VLC can reflect over HTTP, even the muxes VLC has problems reflecting itself (in particular, FLV).

•   Multicast support, both for sending and receiving (supports only protocols that can go over UDP, e.g. MPEG-TS). Supports both ASM and SSM.

•   IPv4 support. Yes, Cubemap even supports (some) legacy protocols.

OPTIONS

--test-config, -t
    tests the config and exits

FILE
    configuration file (defaults to cubemap.config in the current directory)

AUTHOR
cubemap was written by Steinar H. Gunderson <steinar+cubemap@gunderson.no>.

LICENSE
cubemap is licensed under the GNU General Public License, version 2.

SEE ALSO
vlc(1)